import { useParams } from "react-router-dom";
import { useEffect, useState } from "react";
import { Channel_type, Messages } from "../types";
import axios from "axios";

export default function Channel() {
    const { name } = useParams();
    const [channel, setChannel] = useState<Channel_type>();
    const [messages, setMessages] = useState<Messages>();

    useEffect(() => {
        axios.get(`/api/channels/${name}`).then((res) => {
            setChannel(res.data);
        });

        axios.get(`/api/channels/${name}/messages`).then((res) => {
            setMessages(res.data);
        });
    }, [name]);

    if (!channel || !messages) {
        return <div>Loading...</div>;
    }

    return (
        <div>
            <h1>Channel {channel.name}</h1>
            <ul>
                {messages.map((message) => (
                    <li key={message.id}>{`${message.username}: ${message.content}`}</li>
                ))}
            </ul>
        </div>
    );
}